%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Generate results for Table 2 and 3 %%%%%%
% T is rolling window size
% h is forecasting horizon
% lrv is log(RV)


load('Data.mat')
nm=2;
T=252*nm; 
delta=1/252;
h=10; 

for i=1:10
data=lrv{i}; 

for j=1:size(data,1)-10-252*nm
i
j

x=data(j+1:j+252*nm);
H =fbm_est(x,delta);
para{j,i}=H;

for k=1:h
err{j,k} = fore_err(data,delta,H,T,k,j);
end

end

[rmse mae]=fore_eval(err, h);
rmse_(:,:,i)=rmse;
mae_(:,:,i)=mae;
err_{i}=err;
clear err
end