%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% covariance matrix of fBm %%%%%%
% N is sample size
% H is Hurst parameter
% sampling interval is 1

function  [gaM] = Covd_fbm(N,H)

for i=1:N
for j=1:N
    gaM(N-i+1,N-j+1)=1/2*((abs(i))^(2*H)+(abs(j))^(2*H)-(abs(i-j))^(2*H));
end
end

end