%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Weights in the infinite-past formula %%%%%%
% T is rolling window size
% s is time point in T, [1 2 3 ... T]
% k is forecasting horizon
% H is Hurst parameter

function [w] = w1(T,s,k,H)

for i=1:size(s,1)

w(i,1)=1/(T-s(i)+k)/(T-s(i))^(H+0.5);

end

end

