%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% covariance matrix of fBm %%%%%%
% N is sample size
% H is Hurst parameter
% delta is sampling interval

function  [gaM] = Covd_fbmd(N,H,delta)

for i=1:N
for j=1:N
    gaM(N-i+1,N-j+1)=1/2*((abs(i*delta))^(2*H)+(abs(j*delta))^(2*H)-(abs(i-j)*delta)^(2*H));
end
end

end