%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% performance evaluation %%%%%%
% err_m is forecasting error
% k is forecasting horizon

function [rmse mae]=fore_eval(err_m, k)

rmse=zeros(11,k);
mae=zeros(11,k);

for kk=1:k
err_v(:,:)=cell2mat(err_m(:,kk)');
rmse(:,kk)=(mean(err_v.^2,2)).^.5;
mae(:,kk)=mean(abs(err_v),2);
end

end