%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% Generate results for Table 4 and 5 %%%%%%
% h is forecasting horizon
% N is rolling window size

load('SPY.mat')
N=252*2;  
h=10;

%% main loop
parfor i=2:length(RV)-N+1-h
   display([i]) 
RVt=RV(i-1:i+N-1);
[~, rv]=fore_fun(RVt,h);
pred{i-1,1}=rv;
y{i-1,1}=RV(i+N:i+N-1+h);
ret_{i-1,1}=ret(i+N);
end
 
 
%% evaluation 
h=1;
[rmse]=stat_eval(pred,y,h)
[utility] =econ_eval(pred,y,ret_,h);