%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%% performance evaluation %%%%%%%%%%%%%
% pred is the forecast for RV
% y is RV
% h is forecasting horizon

function [rmse] =stat_eval(pred,y,h)

for i=1:length(pred)
predv=pred{i};
predv_(i,:)=predv(:,h)';
end
pred=predv_;
RV=cell2mat(y');
RV=RV(h,:)';

err=pred-RV;
rmse=(mean(err.^2)).^.5;
    
end